de.esprit.netsuite.server.auth

## Class NdfGroupHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.netsuite.server.auth.NdfGroupHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class NdfGroupHandler
      extends NdfHandler

  This handler collects the User entries parsed by the `DefaultUserManager`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalse, booleanTrue, lineCommentChar, ndfBreakChars, ndfCreatedKey, ndfVersion, ndfVersionKey, separatorLineChar, structureChar, textBreakChars, textParagraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NdfGroupHandler(java.util.List<Group> groupList)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Group` | `createGroupInstance(int gid, java.lang.String groupName, java.lang.String comment)`
    `void` | `startDocument(FileInfo fileInfo)` Called when document parsing is about to start.
    `NotifyBodText` | `startObject(NdfProperties props, java.lang.String objectName)` Called when an object structure was detected.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, asStuffedText, doneArray, doneDocument, doneObject, doneProperty, doneProperty, doneTable, foundArrayValue, foundArrayValue, foundBodyText, foundHeaderProperties, foundTableCell, foundTableRow, getCurrentNestingLevel, getCurrentStructure, getFileInfo, getLineNumber, getLogChannel, getStructure, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startProperty, startTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NdfGroupHandler

          public NdfGroupHandler(java.util.List<Group> groupList)

  - ### Method Detail

    - #### startDocument

          public void startDocument(FileInfo fileInfo)

      Description copied from class: `NdfHandler`
      Called when document parsing is about to start.
      Overrides:
        `startDocument` in class `NdfHandler`

    - #### startObject

          public NotifyBodText startObject(NdfProperties props,
                                  java.lang.String objectName)
                                    throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when an object structure was detected. Note that there will be an according call to `NdfHandler.foundBodyText(List)` if this method returns `NotifyBodText.NOTIFY`. If `NotifyBodText.SKIP` is returned then no body text evaluation is done at all.
      Overrides:
        `startObject` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### createGroupInstance

          protected Group createGroupInstance(int gid,
                                  java.lang.String groupName,
                                  java.lang.String comment)

Copyright © 2012 EsprIT-Systems. All Rights Reserved.